package in.gov.digilocker.uidai.services.xmlresponse;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement(name= "UidData")
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(propOrder = { "tkn", "uid", "Poi", "Poa", "LData", "Pht", "Prn" })
public class UidDataResponse {
	@XmlAttribute(name= "tkn") private String tkn;
	@XmlAttribute(name= "uid") private String uid;
	@XmlElementRef(name= "Poi")private EKYCPoi Poi;
	@XmlElementRef(name= "Poa")private EKYCPoaRes Poa;
	@XmlElementRef(name= "LData")private EKYCLDataRes LData;
	@XmlElement(name= "Pht")private String Pht;
	@XmlElementRef(name= "Prn")private EKYCPrnRes Prn;

	public UidDataResponse() {
		this.tkn = "";
		this.uid = "";
		this.Poi = new EKYCPoi();
		this.Poa = new EKYCPoaRes();
		this.LData = new EKYCLDataRes();
		this.Pht = "";
		this.Prn = new EKYCPrnRes();
	}

	public UidDataResponse(String tkn, String uid, EKYCPoi poi, EKYCPoaRes poa, EKYCLDataRes lData, String pht, EKYCPrnRes Prn) {
		this.tkn = tkn;
		this.uid = uid;
		this.Poi = poi;
		this.Poa = poa;
		this.LData = lData;
		this.Pht = pht;
		this.Prn = Prn;
	}

	public String getTkn() {
		return this.tkn;
	}

	public void setTkn(String tkn) {
		this.tkn = tkn;
	}

	public String getUid() {
		return this.uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public EKYCPoi getPoi() {
		return this.Poi;
	}

	public void setPoi(EKYCPoi poi) {
		this.Poi = poi;
	}

	public EKYCPoaRes getPoa() {
		return this.Poa;
	}

	public void setPoa(EKYCPoaRes poa) {
		this.Poa = poa;
	}

	public EKYCLDataRes getLData() {
		return this.LData;
	}

	public void setLData(EKYCLDataRes lData) {
		this.LData = lData;
	}

	public String getPht() {
		return this.Pht;
	}

	public void setPht(String pht) {
		this.Pht = pht;
	}

	public EKYCPrnRes getPrn() {
		return this.Prn;
	}

	public void setPrn(EKYCPrnRes prn) {
		this.Prn = prn;
	}
}
